%define ver      1999-02-09 
%define rel      1
%define prefix   /usr

Summary: A language for data analysis and graphics
Name: R-base-devel-sfi
Version: %ver
Release: %rel
Source0: ftp.santafe.edu/pub/swarm/support-software/R-devel-sfi-%{ver}.tar.gz
Copyright: gpl
Patch0: R-LIBINDEX.patch
Group: Development/Languages
Packager: Paul Johnson <pauljohn@ukans.edu>
URL: http://www.santafe.edu/projects/swarm
Prefix: %{prefix}
BuildRoot: /tmp/R-base-root
Icon: logosm-trans.gif
Requires: sed
Conflicts: R-contrib <= 1998.11.16
Conflicts: R-VR <= 5.3pl027

%description 
A system for statistical computation and graphics. R consists of a
language plus a run-time environment with graphics, a debugger, access
to certain system functions, and the ability to run programs stored in
script files. 

The design of R has been heavily influenced by two existing languages:
Becker, Chambers & Wilks' S and Sussman's Scheme. Whereas the resulting
language is very similar in appearance to S, the underlying implementation
and semantics are derived from Scheme.

This version is "tooled" up by the SFI Swarm team. Hopefully, changes 
introduced here will be completely absorbed by the R devel tree.  

%prep
%setup -n R-devel-sfi-%{ver}
%patch0 -p1

%ifarch alpha
   #Thanks to Nassib Nassar <nassar@etymon.com>
   export CFLAGS="-mieee -g -O1"
%endif

CC=egcs ./configure --prefix=${RPM_BUILD_ROOT}/%{prefix} --datadir=${RPM_BUILD_ROOT}/%{prefix}/lib

#Building on RedHat 5.1 & 5.2: link against earlier version of ncurses
#to maintain binary compatibility with RedHat 5.0
#
if [ -f /etc/redhat-release ] && [ -f /usr/lib/libncurses.so.3.0 ]; then
   if (grep -e "release 5.1 (Manhattan)" /etc/redhat-release) ||
      (grep - "release 5.2 (Apollo)" /etc/redhat-release); then
      sed -e "s@-lncurses@/usr/lib/libncurses.so.3.0@" Makeconf > tmp
      mv tmp Makeconf
   fi
fi

%build
make 

%install

make install

install -m 755  bin/LIBINDEX ${RPM_BUILD_ROOT}%{prefix}/lib/R/bin/LIBINDEX

#Fix location of RHOME in shell wrapper
#
cd ${RPM_BUILD_ROOT}
sed -e "s@RHOME=.*@RHOME=%{prefix}/lib/R@" ${RPM_BUILD_ROOT}%{prefix}/lib/R/bin/R > ${RPM_BUILD_ROOT}%{prefix}/bin/R
chmod 755 ${RPM_BUILD_ROOT}%{prefix}/bin/R

# Remove package indices. These files may be changed when R packages
# are installed, so we remove them here to avoid problems with the
# verify script. They are rebuilt by the postinstall script.
#
rm ${RPM_BUILD_ROOT}%{prefix}/lib/R/doc/html/function.html
rm ${RPM_BUILD_ROOT}%{prefix}/lib/R/doc/html/packages.html
rm ${RPM_BUILD_ROOT}%{prefix}/lib/R/library/LibIndex

%files 
%defattr(-, root, root)

%{prefix}/bin/R
%{prefix}/bin/Rd2txt
%{prefix}/bin/Rdconv
%{prefix}/bin/Rdindex
%{prefix}/bin/Sd2Rd
%{prefix}/man/man1/R.1
%{prefix}/man/man1/Rd2txt.1
%{prefix}/man/man1/Rdconv.1
%{prefix}/man/man1/Rdindex.1
%{prefix}/man/man1/Sd2Rd.1
%{prefix}/lib/R
%doc COPYING COPYRIGHTS MIRROR-SITES NEWS PLATFORMS
%doc PROJECTS README RESOURCES TASKS

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $RPM_INSTALL_PREFIX != %{prefix} ]; then
   cd ${RPM_INSTALL_PREFIX}
   sed -e "s@RHOME=.*@RHOME=${RPM_INSTALL_PREFIX}/lib/R@" lib/R/bin/R > bin/R
   chmod 755 bin/R
fi

${RPM_INSTALL_PREFIX}/bin/R LIBINDEX

%preun
rm -f ${RPM_INSTALL_PREFIX}/lib/R/doc/html/function.html
rm -f ${RPM_INSTALL_PREFIX}/lib/R/doc/html/packages.html
rm -f ${RPM_INSTALL_PREFIX}/lib/R/library/LibIndex
